## org.omg.CosNaming.NamingContextPackage
Class NotFoundHelper

    java.lang.Object
      |
      +--org.omg.CosNaming.NamingContextPackage.NotFoundHelper

public class NotFoundHelper
extends java.lang.Object

Helper class for : NotFound

Author:
  OpenORB Compiler

Constructor Summary
`NotFoundHelper()`

Method Summary
`static NotFound` `extract(Any a)` Extract NotFound from an any
`static java.lang.String` `id()` Return the NotFound IDL ID
`static void` `insert(Any a, NotFound t)` Insert NotFound into an any
`static NotFound` `read(InputStream istream)` Read NotFound from a marshalled stream
`static TypeCode` `type()` Return the NotFound TypeCode
`static void` `write(OutputStream ostream, NotFound value)` Write NotFound into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotFoundHelper

    public NotFoundHelper()

Method Detail

### insert

    public static void insert(Any a,
                              NotFound t)

  Insert NotFound into an any
  Parameters:
    `a` - an any
    `t` - NotFound value

### extract

    public static NotFound extract(Any a)

  Extract NotFound from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted NotFound value

### type

    public static TypeCode type()

  Return the NotFound TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the NotFound IDL ID
  Returns:
    an ID

### read

    public static NotFound read(InputStream istream)

  Read NotFound from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed NotFound value

### write

    public static void write(OutputStream ostream,
                             NotFound value)

  Write NotFound into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - NotFound value